Linux下LAMP服务安装,访问localhost 404 Not Found 问题-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

Linux下LAMP服务安装,访问localhost 404 Not Found 问题

杨冬芳 2016-07-08 18:35:57 3167

wesson@wesson-desktop:/$ sudo apt-get install lamp-server^
[sudo] password for wesson:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树

正在读取状态信息... 完成

注意,为任务 lamp-server 选中了 libdbi-perl
注意,为任务 lamp-server 选中了 libaprutil1-dbd-sqlite3
注意,为任务 lamp-server 选中了 apache2-bin
注意,为任务 lamp-server 选中了 libapache2-mod-php5
注意,为任务 lamp-server 选中了 ssl-cert
注意,为任务 lamp-server 选中了 mysql-server-5.5
注意,为任务 lamp-server 选中了 mysql-client-core-5.5
注意,为任务 lamp-server 选中了 mysql-server
注意,为任务 lamp-server 选中了 libapr1
注意,为任务 lamp-server 选中了 php5-readline
注意,为任务 lamp-server 选中了 libaprutil1
注意,为任务 lamp-server 选中了 libwrap0
注意,为任务 lamp-server 选中了 libdbd-mysql-perl
注意,为任务 lamp-server 选中了 apache2-mpm-prefork
注意,为任务 lamp-server 选中了 libhtml-template-perl
注意,为任务 lamp-server 选中了 mysql-client-5.5
注意,为任务 lamp-server 选中了 libaio1
注意,为任务 lamp-server 选中了 mysql-common
注意,为任务 lamp-server 选中了 libmysqlclient18
注意,为任务 lamp-server 选中了 mysql-server-core-5.5
注意,为任务 lamp-server 选中了 libterm-readkey-perl
注意,为任务 lamp-server 选中了 php5-mysql
注意,为任务 lamp-server 选中了 apache2-data
注意,为任务 lamp-server 选中了 apache2
注意,为任务 lamp-server 选中了 php5-common
注意,为任务 lamp-server 选中了 php5-cli
注意,为任务 lamp-server 选中了 php5-json
注意,为任务 lamp-server 选中了 libaprutil1-ldap
注意,为任务 lamp-server 选中了 tcpd
libaio1 已经是最新的版本了。
libapr1 已经是最新的版本了。
libaprutil1 已经是最新的版本了。
libaprutil1-dbd-sqlite3 已经是最新的版本了。
libaprutil1-ldap 已经是最新的版本了。
libdbd-mysql-perl 已经是最新的版本了。
libdbi-perl 已经是最新的版本了。
libhtml-template-perl 已经是最新的版本了。
libterm-readkey-perl 已经是最新的版本了。
libwrap0 已经是最新的版本了。
php5-json 已经是最新的版本了。
ssl-cert 已经是最新的版本了。
tcpd 已经是最新的版本了。
apache2 已经是最新的版本了。
apache2-bin 已经是最新的版本了。
apache2-data 已经是最新的版本了。
apache2-mpm-prefork 已经是最新的版本了。
libapache2-mod-php5 已经是最新的版本了。
libmysqlclient18 已经是最新的版本了。
mysql-client-5.5 已经是最新的版本了。
mysql-client-core-5.5 已经是最新的版本了。
mysql-common 已经是最新的版本了。
mysql-server 已经是最新的版本了。
mysql-server-5.5 已经是最新的版本了。
mysql-server-core-5.5 已经是最新的版本了。
php5-cli 已经是最新的版本了。
php5-common 已经是最新的版本了。
php5-mysql 已经是最新的版本了。
php5-readline 已经是最新的版本了。
下列软件包是自动安装的并且现在不需要了:
linux-headers-3.13.0-24 linux-headers-3.13.0-24-generic
linux-image-3.13.0-24-generic linux-image-extra-3.13.0-24-generic
Use 'apt-get autoremove' to remove them.
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 7 个软件包未被升级。

LAMP服务已经安装好了,但是浏览器访问localhost和127.0.0.1都提示

Not Found

The requested URL / was not found on this server.

Apache/2.4.7 (Ubuntu) Server at localhost Port 80

是什么原因呢?。。

lamp问题 linux服务安装 服务安装问题 lamp访问 linux问题访问
分享到
取消 提交回答
全部回答(1)
  • 杨冬芳
    2019-07-17 19:53:47

    ubuntu14.04 安装LAMP中访问info.php提示The requested URL /index.php was not found on this server.这个问题,.只需要将info.php放到/var/www/html里面,应该就可以了.接下來就是要測試 php 是否有正常運作所以要放一個 php 的網頁到主機去sudo vim /var/www/phpinfo.php

    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

相似问题
最新问题
推荐课程